import type { TableColumnCtx } from 'element-plus'

export interface SearchForm {
  mainSku: string
  endProductId: string
  shopNumber: string
  internalMemo: string
  status?: number
  erpOrderNumber: string
  subOrderNumber: string
}
export interface Tab {
  status: string
  statusCode: number
  statusName: string
  quantity: number
}

export interface OrderData {
  id: number
  namespace?: string
  erpId?: number
  count?: number
  orderNumber?: string
  erpOrderNumber?: string
  facotoryNo?: string
  addressId?: number
  erpSubOrderNumber?: string
  orderOnlineId?: number
  orderOnlineNo?: number
  status?: number
  weight?: number
  outCurrencyCode?: number
  productAmount?: number
  carriageAmount?: number
  totalAmount?: number
  productNum?: number
  trackStatus?: string
  finishTime?: string
  paymentTime?: string
  remark?: string
  manuscriptUrl?: string
  startStockingTime?: string
  source?: string
  substrateAreaCode?: string
  deliveryType?: string
  lanshouName?: string
  lanshouPhone?: string
  lanshouRegion?: string
  lanshouAddress?: string
  lanshouPost?: string
  updateTime?: string
  createTime?: string
  internalMemoList?: MemoList[]
  substrateAreaName?: string
  productList?: ProductList[]
  delayMinDay?: number
  shipmentList?: string
  sourceType?: string
  moreable?: boolean
  
}
export interface ProductList {
  id: number
  customOrderId?: number
  subOrderNumber?: string
  shopNumber?: string
  count?: number
  baseSku?: string
  erpSubOrderNumber?: string
  variantSku?: string
  variantImage?: string
  erpProductItemId?: number
  endProductId?: string
  chimaId?: string
  diyId?: string
  facotoryNo?: string
  num?: number
  shipmentNum?: number
  price?: number
  productName?: string
  createTime?: string
  updateTime?: string
  version?: string | number
  passNum?: number
  notPassNum?: number
}

export interface MemoList {
  id: number
  type?: number
  outId?: number
  operatorEmployeeName?: string
  content?: string
  remark?: string
  operatorTime?: string
}
export interface SpanMethodProps {
  row: OrderData
  column: TableColumnCtx<OrderData>
  rowIndex: number
  columnIndex: number
}

export interface ShipmentForm {
  shippingWay: string
  carriageName: string
  logisticsTracking: string
  carriageAmount: string
  namespace?: string
}

export interface ShipmentOrderRes {
  subOrderNumber?: string
  erpSubOrderNumber?: string
  sendOutQuantity?: number
  version?: string | number
}

export interface LogisticsData {
  id: number
  code: string
  enName: number
  name: string
  typeCode: number
}

export interface SendOrderData {
  id: number
  billNumber?: string
  shippingWay?: number
  addressId?: number
  carriageAmount?: number
  carriageName?: string
  logisticsTracking?: string
  shippingStatus?: number
  lanshouName?: string
  lanshouPhone?: string
  lanshouRegion?: string
  lanshouAddress?: string
  lanshouPost?: string
  updateTime?: string
  createTime?: string
  detailList?: DetailList[]
}

export interface DetailList {
  id: number
  shipmentId?: number
  customOrderId?: number
  subOrderNumber?: string
  baseSku?: string
  variantSku?: string
  variantImage?: string
  shipmentNum?: number
  updateTime?: string
  createTime?: string
  productionNum?: number
  notShipmentNum?: number
  productName?: string
  facotoryNo?: string
  notPassNum?: number
  passNum?: number
}

export interface LogListData {
  id: number
  bizId?: number
  userId?: number
  employeeName?: string
  description?: string
  createTime?: string
}
